Callisto4Bootloader: Pin_mux

Callisto4Bootloader

Macros | Functions
Pin_mux

## Macros

#define | BOARD_UART1_RXD_PERIPHERAL LPUART1
#define | BOARD_UART1_RXD_SIGNAL RX
#define | BOARD_UART1_TXD_PERIPHERAL LPUART1
#define | BOARD_UART1_TXD_SIGNAL TX
#define | BOARD_USER_LED_RED_GPIO GPIO2
#define | BOARD_USER_LED_RED_PORT GPIO2
#define | BOARD_USER_LED_RED_PIN 9U
#define | BOARD_USER_LED_GREEN_GPIO GPIO2
#define | BOARD_USER_LED_GREEN_PORT GPIO2
#define | BOARD_USER_LED_GREEN_PIN 10U
#define | BOARD_USER_LED_BLUE_GPIO GPIO2
#define | BOARD_USER_LED_BLUE_PORT GPIO2
#define | BOARD_USER_LED_BLUE_PIN 11U
#define | BOARD_ENET_RXD0_PERIPHERAL ENET
#define | BOARD_ENET_RXD0_SIGNAL enet_rx_data
#define | BOARD_ENET_RXD0_CHANNEL 0U
#define | BOARD_ENET_RXD1_PERIPHERAL ENET
#define | BOARD_ENET_RXD1_SIGNAL enet_rx_data
#define | BOARD_ENET_RXD1_CHANNEL 1U
#define | BOARD_ENET_CRS_DV_PERIPHERAL ENET
#define | BOARD_ENET_CRS_DV_SIGNAL enet_rx_en
#define | BOARD_ENET_TXD0_PERIPHERAL ENET
#define | BOARD_ENET_TXD0_SIGNAL enet_tx_data
#define | BOARD_ENET_TXD0_CHANNEL 0U
#define | BOARD_ENET_TXD1_PERIPHERAL ENET
#define | BOARD_ENET_TXD1_SIGNAL enet_tx_data
#define | BOARD_ENET_TXD1_CHANNEL 1U
#define | BOARD_ENET_TXEN_PERIPHERAL ENET
#define | BOARD_ENET_TXEN_SIGNAL enet_tx_en
#define | BOARD_ENET_TX_CLK_PERIPHERAL ENET
#define | BOARD_ENET_TX_CLK_SIGNAL enet_ref_clk
#define | BOARD_ENET_RXER_PERIPHERAL ENET
#define | BOARD_ENET_RXER_SIGNAL enet_rx_er
#define | BOARD_ENET_MDC_PERIPHERAL ENET
#define | BOARD_ENET_MDC_SIGNAL enet_mdc
#define | BOARD_ENET_MDIO_PERIPHERAL ENET
#define | BOARD_ENET_MDIO_SIGNAL enet_mdio
#define | BOARD_SPDIF_OUT_PERIPHERAL ENET
#define | BOARD_SPDIF_OUT_SIGNAL 1588_EVENT2_OUT
#define | BOARD_LCDIF_D13_PERIPHERAL ENET2
#define | BOARD_LCDIF_D13_SIGNAL enet_rx_data
#define | BOARD_LCDIF_D13_CHANNEL 0U
#define | BOARD_LCDIF_D14_PERIPHERAL ENET2
#define | BOARD_LCDIF_D14_SIGNAL enet_rx_data
#define | BOARD_LCDIF_D14_CHANNEL 1U
#define | BOARD_LCDIF_D15_PERIPHERAL ENET2
#define | BOARD_LCDIF_D15_SIGNAL enet_rx_en
#define | BOARD_LCDIF_D8_PERIPHERAL ENET2
#define | BOARD_LCDIF_D8_SIGNAL enet_tx_data
#define | BOARD_LCDIF_D8_CHANNEL 0U
#define | BOARD_LCDIF_D9_PERIPHERAL ENET2
#define | BOARD_LCDIF_D9_SIGNAL enet_tx_data
#define | BOARD_LCDIF_D9_CHANNEL 1U
#define | BOARD_LCDIF_D10_PERIPHERAL ENET2
#define | BOARD_LCDIF_D10_SIGNAL enet_tx_en
#define | BOARD_LCDIF_D11_PERIPHERAL ENET2
#define | BOARD_LCDIF_D11_SIGNAL enet_ref_clk
#define | BOARD_LCDIF_D12_PERIPHERAL ENET2
#define | BOARD_LCDIF_D12_SIGNAL enet_rx_er
#define | BOARD_SD1_CMD_PERIPHERAL LPSPI1
#define | BOARD_SD1_CMD_SIGNAL SCK
#define | BOARD_SD1_CLK_PERIPHERAL LPSPI1
#define | BOARD_SD1_CLK_SIGNAL PCS0
#define | BOARD_SD1_D0_PERIPHERAL LPSPI1
#define | BOARD_SD1_D0_SIGNAL SDO
#define | BOARD_SD1_D1_PERIPHERAL LPSPI1
#define | BOARD_SD1_D1_SIGNAL SDI
#define | BOARD_CSI_D2_PERIPHERAL LPSPI3
#define | BOARD_CSI_D2_SIGNAL SCK
#define | BOARD_CSI_D5_PERIPHERAL LPSPI3
#define | BOARD_CSI_D5_SIGNAL PCS0
#define | BOARD_CSI_D4_PERIPHERAL LPSPI3
#define | BOARD_CSI_D4_SIGNAL SDI
#define | BOARD_CSI_D3_PERIPHERAL LPSPI3
#define | BOARD_CSI_D3_SIGNAL SDO
#define | BOARD_SD1_D3_GPIO GPIO3
#define | BOARD_SD1_D3_PORT GPIO3
#define | BOARD_SD1_D3_PIN 17U
#define | BOARD_SEMC_DQS_GPIO GPIO3
#define | BOARD_SEMC_DQS_PORT GPIO3
#define | BOARD_SEMC_DQS_PIN 25U

## Functions

void | BOARD_InitBootPins (void)
| Calls initialization functions. More...
void | BOARD_InitPins (void)
| Configures pin routing and optionally pin electrical features. More...

## Detailed Description

## Macro Definition Documentation

## ◆ BOARD_CSI_D2_PERIPHERAL

#define BOARD_CSI_D2_PERIPHERAL LPSPI3

Device name: LPSPI3

Definition at line 161 of file pin_mux.h.

## ◆ BOARD_CSI_D2_SIGNAL

#define BOARD_CSI_D2_SIGNAL SCK

LPSPI3 signal: SCK

Definition at line 162 of file pin_mux.h.

## ◆ BOARD_CSI_D3_PERIPHERAL

#define BOARD_CSI_D3_PERIPHERAL LPSPI3

Device name: LPSPI3

Definition at line 173 of file pin_mux.h.

## ◆ BOARD_CSI_D3_SIGNAL

#define BOARD_CSI_D3_SIGNAL SDO

LPSPI3 signal: SDO

Definition at line 174 of file pin_mux.h.

## ◆ BOARD_CSI_D4_PERIPHERAL

#define BOARD_CSI_D4_PERIPHERAL LPSPI3

Device name: LPSPI3

Definition at line 169 of file pin_mux.h.

## ◆ BOARD_CSI_D4_SIGNAL

#define BOARD_CSI_D4_SIGNAL SDI

LPSPI3 signal: SDI

Definition at line 170 of file pin_mux.h.

## ◆ BOARD_CSI_D5_PERIPHERAL

#define BOARD_CSI_D5_PERIPHERAL LPSPI3

Device name: LPSPI3

Definition at line 165 of file pin_mux.h.

## ◆ BOARD_CSI_D5_SIGNAL

#define BOARD_CSI_D5_SIGNAL PCS0

LPSPI3 signal: PCS0

Definition at line 166 of file pin_mux.h.

## ◆ BOARD_ENET_CRS_DV_PERIPHERAL

#define BOARD_ENET_CRS_DV_PERIPHERAL ENET

Device name: ENET

Definition at line 71 of file pin_mux.h.

## ◆ BOARD_ENET_CRS_DV_SIGNAL

#define BOARD_ENET_CRS_DV_SIGNAL enet_rx_en

ENET signal: enet_rx_en

Definition at line 72 of file pin_mux.h.

## ◆ BOARD_ENET_MDC_PERIPHERAL

#define BOARD_ENET_MDC_PERIPHERAL ENET

Device name: ENET

Definition at line 97 of file pin_mux.h.

## ◆ BOARD_ENET_MDC_SIGNAL

#define BOARD_ENET_MDC_SIGNAL enet_mdc

ENET signal: enet_mdc

Definition at line 98 of file pin_mux.h.

## ◆ BOARD_ENET_MDIO_PERIPHERAL

#define BOARD_ENET_MDIO_PERIPHERAL ENET

Device name: ENET

Definition at line 101 of file pin_mux.h.

## ◆ BOARD_ENET_MDIO_SIGNAL

#define BOARD_ENET_MDIO_SIGNAL enet_mdio

ENET signal: enet_mdio

Definition at line 102 of file pin_mux.h.

## ◆ BOARD_ENET_RXD0_CHANNEL

#define BOARD_ENET_RXD0_CHANNEL 0U

ENET enet_rx_data channel: 0

Definition at line 63 of file pin_mux.h.

## ◆ BOARD_ENET_RXD0_PERIPHERAL

#define BOARD_ENET_RXD0_PERIPHERAL ENET

Device name: ENET

Definition at line 61 of file pin_mux.h.

## ◆ BOARD_ENET_RXD0_SIGNAL

#define BOARD_ENET_RXD0_SIGNAL enet_rx_data

ENET signal: enet_rx_data

Definition at line 62 of file pin_mux.h.

## ◆ BOARD_ENET_RXD1_CHANNEL

#define BOARD_ENET_RXD1_CHANNEL 1U

ENET enet_rx_data channel: 1

Definition at line 68 of file pin_mux.h.

## ◆ BOARD_ENET_RXD1_PERIPHERAL

#define BOARD_ENET_RXD1_PERIPHERAL ENET

Device name: ENET

Definition at line 66 of file pin_mux.h.

## ◆ BOARD_ENET_RXD1_SIGNAL

#define BOARD_ENET_RXD1_SIGNAL enet_rx_data

ENET signal: enet_rx_data

Definition at line 67 of file pin_mux.h.

## ◆ BOARD_ENET_RXER_PERIPHERAL

#define BOARD_ENET_RXER_PERIPHERAL ENET

Device name: ENET

Definition at line 93 of file pin_mux.h.

## ◆ BOARD_ENET_RXER_SIGNAL

#define BOARD_ENET_RXER_SIGNAL enet_rx_er

ENET signal: enet_rx_er

Definition at line 94 of file pin_mux.h.

## ◆ BOARD_ENET_TX_CLK_PERIPHERAL

#define BOARD_ENET_TX_CLK_PERIPHERAL ENET

Device name: ENET

Definition at line 89 of file pin_mux.h.

## ◆ BOARD_ENET_TX_CLK_SIGNAL

#define BOARD_ENET_TX_CLK_SIGNAL enet_ref_clk

ENET signal: enet_ref_clk

Definition at line 90 of file pin_mux.h.

## ◆ BOARD_ENET_TXD0_CHANNEL

#define BOARD_ENET_TXD0_CHANNEL 0U

ENET enet_tx_data channel: 0

Definition at line 77 of file pin_mux.h.

## ◆ BOARD_ENET_TXD0_PERIPHERAL

#define BOARD_ENET_TXD0_PERIPHERAL ENET

Device name: ENET

Definition at line 75 of file pin_mux.h.

## ◆ BOARD_ENET_TXD0_SIGNAL

#define BOARD_ENET_TXD0_SIGNAL enet_tx_data

ENET signal: enet_tx_data

Definition at line 76 of file pin_mux.h.

## ◆ BOARD_ENET_TXD1_CHANNEL

#define BOARD_ENET_TXD1_CHANNEL 1U

ENET enet_tx_data channel: 1

Definition at line 82 of file pin_mux.h.

## ◆ BOARD_ENET_TXD1_PERIPHERAL

#define BOARD_ENET_TXD1_PERIPHERAL ENET

Device name: ENET

Definition at line 80 of file pin_mux.h.

## ◆ BOARD_ENET_TXD1_SIGNAL

#define BOARD_ENET_TXD1_SIGNAL enet_tx_data

ENET signal: enet_tx_data

Definition at line 81 of file pin_mux.h.

## ◆ BOARD_ENET_TXEN_PERIPHERAL

#define BOARD_ENET_TXEN_PERIPHERAL ENET

Device name: ENET

Definition at line 85 of file pin_mux.h.

## ◆ BOARD_ENET_TXEN_SIGNAL

#define BOARD_ENET_TXEN_SIGNAL enet_tx_en

ENET signal: enet_tx_en

Definition at line 86 of file pin_mux.h.

## ◆ BOARD_LCDIF_D10_PERIPHERAL

#define BOARD_LCDIF_D10_PERIPHERAL ENET2

Device name: ENET2

Definition at line 133 of file pin_mux.h.

## ◆ BOARD_LCDIF_D10_SIGNAL

#define BOARD_LCDIF_D10_SIGNAL enet_tx_en

ENET2 signal: enet_tx_en

Definition at line 134 of file pin_mux.h.

## ◆ BOARD_LCDIF_D11_PERIPHERAL

#define BOARD_LCDIF_D11_PERIPHERAL ENET2

Device name: ENET2

Definition at line 137 of file pin_mux.h.

## ◆ BOARD_LCDIF_D11_SIGNAL

#define BOARD_LCDIF_D11_SIGNAL enet_ref_clk

ENET2 signal: enet_ref_clk

Definition at line 138 of file pin_mux.h.

## ◆ BOARD_LCDIF_D12_PERIPHERAL

#define BOARD_LCDIF_D12_PERIPHERAL ENET2

Device name: ENET2

Definition at line 141 of file pin_mux.h.

## ◆ BOARD_LCDIF_D12_SIGNAL

#define BOARD_LCDIF_D12_SIGNAL enet_rx_er

ENET2 signal: enet_rx_er

Definition at line 142 of file pin_mux.h.

## ◆ BOARD_LCDIF_D13_CHANNEL

#define BOARD_LCDIF_D13_CHANNEL 0U

ENET2 enet_rx_data channel: 0

Definition at line 111 of file pin_mux.h.

## ◆ BOARD_LCDIF_D13_PERIPHERAL

#define BOARD_LCDIF_D13_PERIPHERAL ENET2

Device name: ENET2

Definition at line 109 of file pin_mux.h.

## ◆ BOARD_LCDIF_D13_SIGNAL

#define BOARD_LCDIF_D13_SIGNAL enet_rx_data

ENET2 signal: enet_rx_data

Definition at line 110 of file pin_mux.h.

## ◆ BOARD_LCDIF_D14_CHANNEL

#define BOARD_LCDIF_D14_CHANNEL 1U

ENET2 enet_rx_data channel: 1

Definition at line 116 of file pin_mux.h.

## ◆ BOARD_LCDIF_D14_PERIPHERAL

#define BOARD_LCDIF_D14_PERIPHERAL ENET2

Device name: ENET2

Definition at line 114 of file pin_mux.h.

## ◆ BOARD_LCDIF_D14_SIGNAL

#define BOARD_LCDIF_D14_SIGNAL enet_rx_data

ENET2 signal: enet_rx_data

Definition at line 115 of file pin_mux.h.

## ◆ BOARD_LCDIF_D15_PERIPHERAL

#define BOARD_LCDIF_D15_PERIPHERAL ENET2

Device name: ENET2

Definition at line 119 of file pin_mux.h.

## ◆ BOARD_LCDIF_D15_SIGNAL

#define BOARD_LCDIF_D15_SIGNAL enet_rx_en

ENET2 signal: enet_rx_en

Definition at line 120 of file pin_mux.h.

## ◆ BOARD_LCDIF_D8_CHANNEL

#define BOARD_LCDIF_D8_CHANNEL 0U

ENET2 enet_tx_data channel: 0

Definition at line 125 of file pin_mux.h.

## ◆ BOARD_LCDIF_D8_PERIPHERAL

#define BOARD_LCDIF_D8_PERIPHERAL ENET2

Device name: ENET2

Definition at line 123 of file pin_mux.h.

## ◆ BOARD_LCDIF_D8_SIGNAL

#define BOARD_LCDIF_D8_SIGNAL enet_tx_data

ENET2 signal: enet_tx_data

Definition at line 124 of file pin_mux.h.

## ◆ BOARD_LCDIF_D9_CHANNEL

#define BOARD_LCDIF_D9_CHANNEL 1U

ENET2 enet_tx_data channel: 1

Definition at line 130 of file pin_mux.h.

## ◆ BOARD_LCDIF_D9_PERIPHERAL

#define BOARD_LCDIF_D9_PERIPHERAL ENET2

Device name: ENET2

Definition at line 128 of file pin_mux.h.

## ◆ BOARD_LCDIF_D9_SIGNAL

#define BOARD_LCDIF_D9_SIGNAL enet_tx_data

ENET2 signal: enet_tx_data

Definition at line 129 of file pin_mux.h.

## ◆ BOARD_SD1_CLK_PERIPHERAL

#define BOARD_SD1_CLK_PERIPHERAL LPSPI1

Device name: LPSPI1

Definition at line 149 of file pin_mux.h.

## ◆ BOARD_SD1_CLK_SIGNAL

#define BOARD_SD1_CLK_SIGNAL PCS0

LPSPI1 signal: PCS0

Definition at line 150 of file pin_mux.h.

## ◆ BOARD_SD1_CMD_PERIPHERAL

#define BOARD_SD1_CMD_PERIPHERAL LPSPI1

Device name: LPSPI1

Definition at line 145 of file pin_mux.h.

## ◆ BOARD_SD1_CMD_SIGNAL

#define BOARD_SD1_CMD_SIGNAL SCK

LPSPI1 signal: SCK

Definition at line 146 of file pin_mux.h.

## ◆ BOARD_SD1_D0_PERIPHERAL

#define BOARD_SD1_D0_PERIPHERAL LPSPI1

Device name: LPSPI1

Definition at line 153 of file pin_mux.h.

## ◆ BOARD_SD1_D0_SIGNAL

#define BOARD_SD1_D0_SIGNAL SDO

LPSPI1 signal: SDO

Definition at line 154 of file pin_mux.h.

## ◆ BOARD_SD1_D1_PERIPHERAL

#define BOARD_SD1_D1_PERIPHERAL LPSPI1

Device name: LPSPI1

Definition at line 157 of file pin_mux.h.

## ◆ BOARD_SD1_D1_SIGNAL

#define BOARD_SD1_D1_SIGNAL SDI

LPSPI1 signal: SDI

Definition at line 158 of file pin_mux.h.

## ◆ BOARD_SD1_D3_GPIO

#define BOARD_SD1_D3_GPIO GPIO3

GPIO device name: GPIO3

Definition at line 177 of file pin_mux.h.

## ◆ BOARD_SD1_D3_PIN

#define BOARD_SD1_D3_PIN 17U

GPIO3 pin index: 17

Definition at line 179 of file pin_mux.h.

## ◆ BOARD_SD1_D3_PORT

#define BOARD_SD1_D3_PORT GPIO3

PORT device name: GPIO3

Definition at line 178 of file pin_mux.h.

## ◆ BOARD_SEMC_DQS_GPIO

#define BOARD_SEMC_DQS_GPIO GPIO3

GPIO device name: GPIO3

Definition at line 182 of file pin_mux.h.

## ◆ BOARD_SEMC_DQS_PIN

#define BOARD_SEMC_DQS_PIN 25U

GPIO3 pin index: 25

Definition at line 184 of file pin_mux.h.

## ◆ BOARD_SEMC_DQS_PORT

#define BOARD_SEMC_DQS_PORT GPIO3

PORT device name: GPIO3

Definition at line 183 of file pin_mux.h.

## ◆ BOARD_SPDIF_OUT_PERIPHERAL

#define BOARD_SPDIF_OUT_PERIPHERAL ENET

Device name: ENET

Definition at line 105 of file pin_mux.h.

## ◆ BOARD_SPDIF_OUT_SIGNAL

#define BOARD_SPDIF_OUT_SIGNAL 1588_EVENT2_OUT

ENET signal: 1588_EVENT2_OUT

Definition at line 106 of file pin_mux.h.

## ◆ BOARD_UART1_RXD_PERIPHERAL

#define BOARD_UART1_RXD_PERIPHERAL LPUART1

Device name: LPUART1

Definition at line 38 of file pin_mux.h.

## ◆ BOARD_UART1_RXD_SIGNAL

#define BOARD_UART1_RXD_SIGNAL RX

LPUART1 signal: RX

Definition at line 39 of file pin_mux.h.

## ◆ BOARD_UART1_TXD_PERIPHERAL

#define BOARD_UART1_TXD_PERIPHERAL LPUART1

Device name: LPUART1

Definition at line 42 of file pin_mux.h.

## ◆ BOARD_UART1_TXD_SIGNAL

#define BOARD_UART1_TXD_SIGNAL TX

LPUART1 signal: TX

Definition at line 43 of file pin_mux.h.

## ◆ BOARD_USER_LED_BLUE_GPIO

#define BOARD_USER_LED_BLUE_GPIO GPIO2

GPIO device name: GPIO2

Definition at line 56 of file pin_mux.h.

## ◆ BOARD_USER_LED_BLUE_PIN

#define BOARD_USER_LED_BLUE_PIN 11U

GPIO2 pin index: 11

Definition at line 58 of file pin_mux.h.

## ◆ BOARD_USER_LED_BLUE_PORT

#define BOARD_USER_LED_BLUE_PORT GPIO2

PORT device name: GPIO2

Definition at line 57 of file pin_mux.h.

## ◆ BOARD_USER_LED_GREEN_GPIO

#define BOARD_USER_LED_GREEN_GPIO GPIO2

GPIO device name: GPIO2

Definition at line 51 of file pin_mux.h.

## ◆ BOARD_USER_LED_GREEN_PIN

#define BOARD_USER_LED_GREEN_PIN 10U

GPIO2 pin index: 10

Definition at line 53 of file pin_mux.h.

## ◆ BOARD_USER_LED_GREEN_PORT

#define BOARD_USER_LED_GREEN_PORT GPIO2

PORT device name: GPIO2

Definition at line 52 of file pin_mux.h.

## ◆ BOARD_USER_LED_RED_GPIO

#define BOARD_USER_LED_RED_GPIO GPIO2

GPIO device name: GPIO2

Definition at line 46 of file pin_mux.h.

## ◆ BOARD_USER_LED_RED_PIN

#define BOARD_USER_LED_RED_PIN 9U

GPIO2 pin index: 9

Definition at line 48 of file pin_mux.h.

## ◆ BOARD_USER_LED_RED_PORT

#define BOARD_USER_LED_RED_PORT GPIO2

PORT device name: GPIO2

Definition at line 47 of file pin_mux.h.

## Function Documentation

## ◆ BOARD_InitBootPins()

void BOARD_InitBootPins | ( | void |  | ) |

Calls initialization functions.

Definition at line 33 of file pin_mux.c.

References BOARD_InitPins().

## ◆ BOARD_InitPins()

void BOARD_InitPins | ( | void |  | ) |

Configures pin routing and optionally pin electrical features.

Definition at line 108 of file pin_mux.c.

References GPIO2, GPIO3, IOMUXC_GPR, IOMUXC_GPR_GPR27_GPIO_MUX2_GPIO_SEL, IOMUXC_GPR_GPR27_GPIO_MUX2_GPIO_SEL_MASK, IOMUXC_GPR_GPR28_GPIO_MUX3_GPIO_SEL, and IOMUXC_GPR_GPR28_GPIO_MUX3_GPIO_SEL_MASK.

Referenced by BOARD_InitBootPins().